.TH RIGEL_Genetics 3 "2006-01-31" Unix Libraries



.SH NAME
.I Genetic engine - Instructions manual
.PD 0
.P
.PD
------------------------------------


. RIGEL: Representation-Independant Genetic Engine Library
. Copyright (C) 2000-2005 Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. 
. 
. This library is free software;  you can redistribute it and/or modify it
. under  the terms of the  GNU Lesser General Public License  as published
. by the  Free Software Foundation;  either version 2.1 of the License, or
. (at your option) any later version.
. 
. This  library  is  distributed  in  the hope that it will be useful, but
. WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
. General Public License for more details.
. 
. You should have received a copy of the GNU Lesser General Public License
. along with this library;  if not, write to the Free Software Foundation,
. Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
. 
. 
. Author:   Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. Contact:  varkhan@varkhan.net
. Homepage: http://www.varkhan.net/




.SH Interface format structure



.PD 1
.P
.PD
.SS Function RIGEL_Initialize
.PD 0


.I RIGEL_Population
.B RIGEL_Initialize
(
.I RIGEL_Interface
.B iface
,
.I RIGEL_Parameters
.B param
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
iface
param
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_Evaluate
.PD 0


.I RIGEL_Population
.B RIGEL_Evaluate
(
.I RIGEL_Population
.B pop
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_Generation
.PD 0


.I RIGEL_Population
.B RIGEL_Generation
(
.I RIGEL_Population
.B pop
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_Terminate
.PD 0


.I void
.B RIGEL_Terminate
(
.I RIGEL_Population
.B pop
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_Getparameters
.PD 0


.I RIGEL_Parameters
.B RIGEL_Getparameters
(
.I RIGEL_Population
.B pop
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_SetParameters
.PD 0


.I RIGEL_Population
.B RIGEL_SetParameters
(
.I RIGEL_Population
.B pop
,
.I RIGEL_Parameters
.B param
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
param
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_GetIdentByRank
.PD 0


.I unsigned
.I long
.B RIGEL_GetIdentByRank
(
.I RIGEL_Population
.B pop
,
.I unsigned
.I long
.B rank
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
rank
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_GetIdentByEval
.PD 0


.I unsigned
.I long
.B RIGEL_GetIdentByEval
(
.I RIGEL_Population
.B pop
,
.I double
.B emin
,
.I double
.B emax
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
emin
emax
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_GetGenealogy
.PD 0


.I unsigned
.I long
.B RIGEL_GetGenealogy
(
.I RIGEL_Population
.B pop
,
.I unsigned
.I long
.B ident
,
.I unsigned
.I long
.B *
.B line
,
.I unsigned
.I long
.B gmax
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
ident
line
gmax
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_GetItemByIdent
.PD 0


.I RIGEL_Genotype
.B RIGEL_GetItemByIdent
(
.I RIGEL_Population
.B pop
,
.I unsigned
.I long
.B ident
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
ident
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_GetItemByRank
.PD 0


.I RIGEL_Genotype
.B RIGEL_GetItemByRank
(
.I RIGEL_Population
.B pop
,
.I unsigned
.I long
.B rank
) ;

.PD 1
.P
.PD
.

.B
	Args
.RS
pop
rank
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD







