.TH RIGEL_Interface 3 "2006-01-31" Unix Libraries



.SH NAME
.I Abstract genotype interface - Instructions manual
.PD 0
.P
.PD
-------------------------------------------------


. RIGEL: Representation-Independant Genetic Engine Library
. Copyright (C) 2000-2005 Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. 
. 
. This library is free software;  you can redistribute it and/or modify it
. under  the terms of the  GNU Lesser General Public License  as published
. by the  Free Software Foundation;  either version 2.1 of the License, or
. (at your option) any later version.
. 
. This  library  is  distributed  in  the hope that it will be useful, but
. WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
. General Public License for more details.
. 
. You should have received a copy of the GNU Lesser General Public License
. along with this library;  if not, write to the Free Software Foundation,
. Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
. 
. 
. Author:   Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. Contact:  varkhan@varkhan.net
. Homepage: http://www.varkhan.net/




.SH Interface format structure



.PD 1
.P
.PD
.SS Macro RIGEL_Genotype_Object
.PD 0
RIGEL_Genotype_Object
.PD 1
.P
.PD
This macro should be defined to the memory-space type of the genotype in the EA/ES.

.B
	Note
.RS
The genotype should be a pointer to a structure, and RIGEL_Genotype_Object defined to this structure name.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARADIGM_MUTALLOC
.PD 0
RIGEL_PARADIGM_MUTALLOC
.PD 1
.P
.PD
Interface paradigm flag forcing copy of objects before passing them to the mutation operator.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARADIGM_MIGALLOC
.PD 0
RIGEL_PARADIGM_MIGALLOC
.PD 1
.P
.PD
Interface paradigm flag forcing copy of objects before passing them to the migration operator.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Function RIGEL_InitInterface
.PD 0


.I RIGEL_Interface
.B RIGEL_InitInterface
(
.B 
) ;

.PD 1
.P
.PD
Initializes an interface with default values.

.B
	Returns
.RS
An interface with sensible default values.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_LoadInterface
.PD 0


.I RIGEL_Interface
.B RIGEL_LoadInterface
(
.I char
.B *
.B module
) ;

.PD 1
.P
.PD
Loads an interface and associated callbacks from a module file.

.B
	Args
.RS
.IP _ 2
.I module
	: filename to load
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if some error occured
.IP "" 0
else the loaded interface.
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD







