.TH RIGEL_Parameters 3 "2006-01-31" Unix Libraries



.SH NAME
.I Genetic parameters - Instructions manual
.PD 0
.P
.PD
----------------------------------------


. RIGEL: Representation-Independant Genetic Engine Library
. Copyright (C) 2000-2005 Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. 
. 
. This library is free software;  you can redistribute it and/or modify it
. under  the terms of the  GNU Lesser General Public License  as published
. by the  Free Software Foundation;  either version 2.1 of the License, or
. (at your option) any later version.
. 
. This  library  is  distributed  in  the hope that it will be useful, but
. WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
. General Public License for more details.
. 
. You should have received a copy of the GNU Lesser General Public License
. along with this library;  if not, write to the Free Software Foundation,
. Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
. 
. 
. Author:   Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
. Contact:  varkhan@varkhan.net
. Homepage: http://www.varkhan.net/




.SH Interface format structure



.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_SORTDESC
.PD 0
RIGEL_PARAM_SORTDESC
.PD 1
.P
.PD
Set the optimization model to minimization (using population sorting in descending order).

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_SELPROPN
.PD 0
RIGEL_PARAM_SELPROPN
.PD 1
.P
.PD
Uses proportional selection as parent selection method.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_SELTOURN
.PD 0
RIGEL_PARAM_SELTOURN
.PD 1
.P
.PD
Uses tournament as parent selection method.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_REPPROPN
.PD 0
RIGEL_PARAM_REPPROPN
.PD 1
.P
.PD
Uses proportional selection as offspring replacement method.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_REPTOURN
.PD 0
RIGEL_PARAM_REPTOURN
.PD 1
.P
.PD
Uses tournament as offspring replacement method.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_SELCOMMA
.PD 0
RIGEL_PARAM_SELCOMMA
.PD 1
.P
.PD
Uses comma selection for parents (exclude elite).

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD









.PD 1
.P
.PD
.SS Macro RIGEL_PARAM_STRATEGY
.PD 0
RIGEL_PARAM_STRATEGY
.PD 1
.P
.PD
Selection and replacement strategies mask.

.B
	Note
.RS
.
.RE
.PD 1
.P
.PD














.PD 1
.P
.PD
.SS Function RIGEL_ParametersCopy
.PD 0


.I RIGEL_Parameters
.B RIGEL_ParametersCopy
(
.I RIGEL_Parameters
.B param
) ;

.PD 1
.P
.PD
Copies a RIGEL_Parameters structure, with its contents.

.B
	Args
.RS
param
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersFree
.PD 0


.I void
.B RIGEL_ParametersFree
(
.I RIGEL_Parameters
.B param
) ;

.PD 1
.P
.PD
Frees a RIGEL_Parameters structure.

.B
	Args
.RS
param
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersSetMisc
.PD 0


.I double
.B RIGEL_ParametersSetMisc
(
.I RIGEL_Parameters
.B param
,
.I char
.B *
.B name
,
.I double
.B value
) ;

.PD 1
.P
.PD
Set miscelanous parameters in a RIGEL_Parameters structure.

.B
	Args
.RS
param
name
value
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersGetMisc
.PD 0


.I double
.B RIGEL_ParametersGetMisc
(
.I RIGEL_Parameters
.B param
,
.I char
.B *
.B name
) ;

.PD 1
.P
.PD
Get miscelanous parameters from a RIGEL_Parameters structure.

.B
	Args
.RS
param
name
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersSetDefaults
.PD 0


.I RIGEL_Parameters
.B RIGEL_ParametersSetDefaults
(
.I RIGEL_Parameters
.B param
) ;

.PD 1
.P
.PD
Set default parameters in a RIGEL_Parameters structure.

.B
	Args
.RS
param
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersSet
.PD 0


.I unsigned
.I long
.B RIGEL_ParametersSet
(
.I RIGEL_Parameters
.B param
,
.I char
.B *
.B arg
,
.I char
.B *
.B val
) ;

.PD 1
.P
.PD
Set a named parameter in a RIGEL_Parameters structure.

.B
	Args
.RS
.IP _ 2
.I param
	: RIGEL_Parameters structure to update
.IP "" 0
.IP _ 2
.I arg
	: argument name
.IP "" 0
.IP _ 2
.I val
	: argument value string
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I 0
	: if an argument was invalid, or a value not in the correct range
.IP "" 0
.IP _ 2
.I 1
	: if the value was set or updated
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
The value string will be converted to the actual storage type for this argument.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ParametersParseArgs
.PD 0


.I void
.B RIGEL_ParametersParseArgs
(
.I RIGEL_Parameters
.B param
,
.I int
.B *
.B argc
,
.I char
.B *
.B *
.B *
.B argv
) ;

.PD 1
.P
.PD
Parses, stores and removes from the argument array '+'-prefixed parameters.

.B
	Args
.RS
param
argc
argv
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_ReadParameters
.PD 0


.I unsigned
.I long
.B RIGEL_ReadParameters
(
.I RIGEL_Parameters
.B param
,
.I int
.B fd
) ;

.PD 1
.P
.PD
Reads and stores parameters lines from a file.

.B
	Args
.RS
param
fd
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
Parameters lines are of the form "name = value", where 'name' is the first word (contiguous serie of non-whitespace charaters) on the line before the '=', and 'value' starts at the first non-whitespace character after the '=' until the end of the line.
.RE
.PD 1
.P
.PD





.PD 1
.P
.PD
.SS Function RIGEL_WriteParameters
.PD 0


.I unsigned
.I long
.B RIGEL_WriteParameters
(
.I RIGEL_Parameters
.B param
,
.I int
.B fd
) ;

.PD 1
.P
.PD
Writes parameters lines to a file.

.B
	Args
.RS
param
fd
.RE
.PD 1
.P
.PD


.B
	Returns
.RS
.IP _ 2
.I NULL
	: if 
.IP "" 0
else .
.RE
.PD 1
.P
.PD


.B
	Errors
.RS
.IP _ 2
.I ENOMEM
	: if no memory was available
.IP "" 0
.RE
.PD 1
.P
.PD


.B
	Note
.RS
Parameters lines are of the form "name = value".
.RE
.PD 1
.P
.PD







